# Upload Annotation

This experimental endpoint allows you to feed data back to Sypht for training and evaluation purposes, which can potentially help us improve our model accuracy.

These annotations are not automatically included in our evaluation and training data sets. Sypht periodically reviews the uploaded annotations and may use their documents and data during our model training and evaluation processes.

{% hint style="warning" %}
This experimental endpoint only accepts `text` type field annotations (`issuer.name`, `invoice.documentDate`, `invoice.issuerName`, `invoice.total`, and so on.). Linetiems (i.e. tables), Classification (such as `invoice.currencyCode`, etc) and Entity Matching fields are not supported.
{% endhint %}

## External Annotation Format

```
{
    "origin": "external",
    "fields": [
      {
        "id": "issuer.name",
        "type": "simple",
        "data": {
          "value": "John Smith"
        }
      },
      // ... etc for additional fields
    ],
    "docId":"11111-1111-1111-1111-11111111"
  }
```

**Attribute definitions:**

`"origin"` is the annotation source (use `"external"` for uploading API annotations)

`"fields"` is an array of field annotation data to be submitted for each document&#x20;

`"id"` is the field ID which the annotation is being submitted for

&#x20;`"type"` is the annotation data type used for external annotations submitted via API (use `"simple"` for uploading API annotations)

`"data"` attribute contains the annotation value for each field

`"value"` attribute expects the exact label value in a **string** format for each field

`"docId"` document identifier for the annotation's document.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sypht.com/sypht/api-docs/upload-annotation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
